Package com.smartgwt.client.types

# Enum NotifyTransition

java.lang.Object
java.lang.Enum<NotifyTransition>
com.smartgwt.client.types.NotifyTransition

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<NotifyTransition>`, `Constable`

public enum NotifyTransition extends Enum<NotifyTransition> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FADE`
  message appears or disappears via a fade effect
  `INSTANT`
  message instantly appears or disappears
  `SLIDE`
  message slide-animates onto or off of the screen

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static NotifyTransition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NotifyTransition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SLIDE

    public static final NotifyTransition SLIDE
    message slide-animates onto or off of the screen

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "slide".

  - ### FADE

    public static final NotifyTransition FADE
    message appears or disappears via a fade effect

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fade".

  - ### INSTANT

    public static final NotifyTransition INSTANT
    message instantly appears or disappears

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "instant".

- ## Method Details

  - ### values

    public static NotifyTransition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NotifyTransition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`